Subject: RE: [SIGTRAN] M3UA : query on RC presence in messages

From: "Prabind Chaubey" <[email-masked]>
Date: Wed, 13 Dec 2006 17:12:15 +0530

Brian,
	If it is known by configuration that which AS the asp is going
to serve into, is it mandatory to send RC from asp, even if the multiple
AS are being served by the asp? I mean SG can very well route the
message to MTP3 based on the DPC in the message. 
 
Regards,
Prabind

-----Original Message-----
From: Brian F. G. Bidulock [mailto:[email-masked]] 
Sent: Wednesday, December 13, 2006 4:26 PM
To: Lev Finkel
Cc: [email-masked]
Subject: Re: [SIGTRAN] M3UA : query on RC presence in messages

Lev,

Section 3.8.1 Error/RFC 4666

   ...

   The "No Configured AS for ASP" error is sent if a message is received
   from a peer without a Routing Context parameter and it is not known
   by configuration data which Application Servers are referenced.

--brian

Lev Finkel wrote:                               (Wed, 13 Dec 2006
12:00:45)
> 
>    Hi,
> 
> 
> 
>    is  the  statement in RFC 3332/4466 sections 3.3.1 (and same for
other
>    messages)
> 
>    "Where  multiple  Routing  Keys and Routing Contexts are used
across a
>    common  association,  the Routing Context MUST be sent to identify
the
>    traffic flow, assisting in the internal distribution of Data
messages"
> 
>    relates to both ASP and SGP?
> 
>    Is it correct for SGP to reply with ERROR upon DATA message without
RC
>    after  several  RC coordinated? Is it mandatory to send ERROR? Or
M3UA
>    implementation may allow to forward message based on DPC only?
> 
> 
> 
>    Regards,
> 
>    Lev Finkel
> 
>    Veraz Networks ltd.

> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/sigtran

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: Aditya <[email-masked]>
Date: Wed, 13 Dec 2006 06:24:37 -0800 (PST)

I agree with Prabind. However, the RFC says "MUST".

Regards,
Aditya Sehgal
Alcatel-Lucent 

Prabind Chaubey <[email-masked]> wrote: Brian,
 
Regards,
Prabind

-----Original Message-----
From: Brian F. G. Bidulock [mailto:[email-masked]] 
Sent: Wednesday, December 13, 2006 4:26 PM
To: Lev Finkel
Cc: [email-masked]
Subject: Re: [SIGTRAN] M3UA : query on RC presence in messages

Lev,

   ...

--brian

other
across a
the
messages"
RC
M3UA

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---------------------------------------------------------------------------X----------------------------------------------------
 
Don't take life too seriously...
Nobody comes out alive anyway

---------------------------------
Cheap Talk? Check out Yahoo! Messenger's low PC-to-Phone call rates.

---

From: "Lev Finkel" <[email-masked]>
Date: Wed, 13 Dec 2006 16:39:24 +0200

Aditya, Prabind,
 
following this logic intelligent ASP also may accept DATA messages
without RC parameter and handle it based on OPC, DPC, CIC, etc. However
I guess the RFC authors saying MUST intended to avoid variety of ASP and
SGP implementation dependent behaviors.
 
Brian,
what was a real the rationale behind this MUST for RC being in the
messages?
 
Regards,
Lev

________________________________

From: Aditya [mailto:[email-masked]] 
Sent: Wednesday, December 13, 2006 4:25 PM
To: Prabind Chaubey; [email-masked]; Lev Finkel
Cc: [email-masked]
Subject: RE: [SIGTRAN] M3UA : query on RC presence in messages

Regards,
Aditya Sehgal
Alcatel-Lucent 

Prabind Chaubey <[email-masked]> wrote: 

	Brian,
	If it is known by configuration that which AS the asp is going
	to serve into, is it mandatory to send RC from asp, even if the
multiple
	AS are being served by the asp? I mean SG can very well route
the
	message to MTP3 based on the DPC in the message. 
	
	Regards,
	Prabind
	
	-----Original Message-----
	From: Brian F. G. Bidulock [mailto:[email-masked]] 
	Sent: Wednesday, December 13, 2006 4:26 PM
	To: Lev Finkel
	Cc: [email-masked]
	Subject: Re: [SIGTRAN] M3UA : query on RC presence in messages
	
	Lev,

	...
	
	The "No Configured AS for ASP" error is sent if a message is
received
	from a peer without a Routing Context parameter and it is not
known
	by configuration data which Application Servers are referenced.
	
	--brian
	
	other
	across a
	the
	messages"
	RC
	M3UA

	-- 
	Brian F. G. Bidulock
	[email-masked]
	http://www.openss7.org/

	

------------------------------------------------------------------------
---X----------------------------------------------------

________________________________

Cheap Talk? Check out
<http://us.rd.yahoo.com/mail_us/taglines/postman8/*http://us.rd.yahoo.co
m/evt=39663/*http://voice.yahoo.com>  Yahoo! Messenger's low PC-to-Phone
call rates.
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Tolga Asveren" <[email-masked]>
Date: Wed, 13 Dec 2006 10:04:30 -0500

To prevent routing key analysis happening multiple times is one of the
reasons. There is no need to analyze the message twice both on SG and ASP.

When messages are allowed to be sent/received is determined by AS state
machine, which has a 1:1 relationship to a RK. To have RC in messages is an
easy way to perform the necessary state machine updates/checks.

   Thanks,
   Tolga
-----Original Message-----
From: Lev Finkel [mailto:[email-masked]]
Sent: Wednesday, December 13, 2006 9:39 AM
To: Aditya; Prabind Chaubey; [email-masked]
Cc: [email-masked]
Subject: RE: [SIGTRAN] M3UA : query on RC presence in messages

Aditya, Prabind,

following this logic intelligent ASP also may accept DATA messages without
RC parameter and handle it based on OPC, DPC, CIC, etc. However I guess the
RFC authors saying MUST intended to avoid variety of ASP and SGP
implementation dependent behaviors.

Brian,
what was a real the rationale behind this MUST for RC being in the messages?

Regards,
Lev

Regards,
Aditya Sehgal
Alcatel-Lucent

Regards,
Prabind

-----Original Message-----
From: Brian F. G. Bidulock [mailto:[email-masked]]
Sent: Wednesday, December 13, 2006 4:26 PM
To: Lev Finkel
Cc: [email-masked]
Subject: Re: [SIGTRAN] M3UA : query on RC presence in messages

Lev,

...

--brian

other
across a
the
messages"
RC
M3UA

--
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---------------------------------------------------------------------------X
----------------------------------------------------

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 13 Dec 2006 11:29:26 -0700

Prabind,

When multiple networks are supported my an ASP or SGP, the
format of the routing label and point code is not provided
by DATA or SNMM messages.  Therefore, analyzing the routing
label cannot work in all cases.  RC works in all cases.

M3UA is fashioned after the MTP service interface, and RC
corresponds to the MTP-SAP instance idenitifer.

--brian

Prabind Chaubey wrote:                        (Wed, 13 Dec 2006 17:12:15)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 13 Dec 2006 11:29:26 -0700

Prabind,

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/